/* @odoo-module */

import { Component } from "@odoo/owl";
import { LinkPreview } from "./link_preview";

/**
 * @typedef {Object} Props
 * @property {import("@mail/core/link_preview_model").LinkPreview[]} linkPreviews
 * @property {boolean} [deletable]
 * @extends {Component<Props, Env>}
 */
export class LinkPreviewList extends Component {
    static template = "mail.LinkPreviewList";
    static props = ["linkPreviews", "deletable?"];
    static defaultProps = {
        deletable: false,
    };
    static components = { LinkPreview };
}
